10. Team and other modules

Invite team members with limited rights, and discover the other modules available to businesses.

Invite a team member

POST/merchant/team/membersSession token

The team member receives an email to set their password (no password is sent in plain text).

Request body
{
  "name": "Nom Prénom",
  "email": "[email protected]",
  "role_id": 3,
  "application_ids": [
    12
  ]
}

role_id missing: the member stays pending configuration. application_ids missing or null: access to all applications. Errors: 422 (member limit reached, member already active).

RouteRole
GET /merchant/team/membersList members
PATCH /merchant/team/members/{uuid}Change profile or accessible applications
POST /merchant/team/members/{uuid}/resend-invitationResend the invitation
DELETE /merchant/team/members/{uuid}Remove a member
GET /merchant/team/roles, GET /merchant/team/permissionsProfiles and permissions catalogue
POST /merchant/team/roles, PATCH / DELETE /merchant/team/roles/{id}, POST /merchant/team/roles/{id}/forkCreate, edit, archive or fork a custom profile

Other available modules

Detailed documentation on request.

ModuleMain routes
Dashboard insightsGET /merchant/insights, /merchant/insights/timeseries, /merchant/insights/payment-links, /merchant/insights/flows ; GET /merchant/activity-logs
SuppliersGET / POST /fournisseurs, GET / PUT / DELETE /fournisseurs/{id}, activate / deactivate, GET / POST /fournisseurs/{id}/payments
Currency conversionGET /exchange-rates, POST /conversions/quote, POST /conversions/{uuid}/execute, GET /conversions
ReferralGET /merchant/referral-code, GET /merchant/referral/commissions, POST /merchant/commissions/transfer, POST /merchant/commissions/withdraw
AnnouncementsGET /announcements, POST /announcements/{id}/read, POST /announcements/read-all
Reference dataGET /countries, /currencies, /activity-types, /payment-providers